UUIDGEN(1)

BEZEICHNUNG
uuidgen - einen neuen UUID-Wert erzeugen

ÜBERSICHT

uuidgen [Optionen]

BESCHREIBUNG

Das Programm uuidgen erzeugt mit der Bibliothek libuuid(3) einen neuen universellen eindeutigen Bezeichner (eine UUID) und gibt diese aus. Diese neue UUID kann unter allen auf dem lokalen System erstellten UUIDs und auch unter allen auf anderen Systemen in der Vergangenheit oder Zukunft erstellten UUIDs als hinreichend eindeutig betrachtet werden.

Mit uuidgen können Sie drei UUID-Arten erstellen: zeitbasierte UUIDs, zufallsbasierte UUIDs und Hash-basierte UUIDs. Standardmäßig erstellt uuidgen eine zufallsbasierte UUID, sofern ein qualitativ hochwertiger Zufallszahlengenerator verfügbar ist. Anderenfalls wird eine zeitbasierte UUID erstellt. Mit den Optionen --random oder --time können Sie die Erzeugung eines der ersten beiden UUID-Arten erzwingen.

Die dritte UUID-Art wird mit den Optionen --md5 oder --sha1 erzeugt, denen ein --namespace Namensraum und --name Name folgt. Der Namenssraum kann entweder eine wohlbekannte UUID sein, oder ein Alias auf eine der in RFC 4122 definierten wohlbekannten UUIDs, diese sind @dns, @url, @oid oder @x500. Der Name ist eine willkürlich gewählte Zeichenkette. Die erzeugte UUID ist das Ergebnis der Verkettung der Namensraum-UUID und dem Name-Wert, mit den MD5- oder SHA1-Algorithmen ein Hash gebildet. Es ist daher ein vorhersagbarer Wert, der nützlich sein kann, wenn UUIDs als Handle oder Nonce für komplexere Werte oder Werte verwendet werden, die nicht direkt offengelegt werden sollen. Siehe die RFC für weitere Informationen.

OPTIONEN

-r, --random
    erzeugt eine zufallsbasierte UUID. Mit dieser Methode wird eine UUID erzeugt, die hauptsächlich aus Zufalls-Bits besteht. Dafür ist es erforderlich, dass das System über einen qualitativ hochwertigen Zufallszahlengenerator verfügt, wie /dev/random.

-t, --time
    erzeugt eine zeitbasierte UUID. Diese Methode erzeugt eine UUID basierend auf der Systemuhr und der Ethernet-Hardwareadresse des Systems, falls verfügbar.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt die Versionsnummer an und beendet das Programm.

-m, --md5
    verwendet MD5 als Hash-Algorithmus.

-s, --sha1
    verwendet SHA1 als Hash-Algorithmus.

-n, --namespace Namensraum
    erzeugt einen Hash mit dem Namensraum-Präfix. Der Namensraum ist die UUID oder »@ns«, wobei »ns« die wohlbekannte vordefinierte, vom Namen des Namensraums bezeichnete UUID ist (siehe oben).

-N, --name Name
    erzeugt einen Hash aus dem angegebenen Namen.

-x, --hex
    interpretiert den Namen als eine hexadezimale Zeichenkette.

KONFORM ZU

OSF DCE 1.1

BEISPIELE

uuidgen --sha1 --namespace @dns --name "www.example.com"

AUTOREN

uuidgen wurde von Andreas Dilger für libuuid(3) geschrieben.

SIEHE AUCH

uuidparse(1), libuuid(3),

FEHLER MELDEN

Verwenden Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl uuidgen ist Teil des Pakets util-linux, welches heruntergeladen werden kann von:

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).